// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.17.3
// source: hbproto.proto

package hbproto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	durationpb "google.golang.org/protobuf/types/known/durationpb"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	wrapperspb "google.golang.org/protobuf/types/known/wrapperspb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type HeartBeatT struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Timestamp         *timestamppb.Timestamp  `protobuf:"bytes,1,opt,name=Timestamp,proto3" json:"Timestamp,omitempty"`
	Sequence          *wrapperspb.UInt64Value `protobuf:"bytes,10,opt,name=Sequence,proto3" json:"Sequence,omitempty"`
	RecievedTimestamp *timestamppb.Timestamp  `protobuf:"bytes,11,opt,name=RecievedTimestamp,proto3" json:"RecievedTimestamp,omitempty"`
	HalfTrip          *durationpb.Duration    `protobuf:"bytes,12,opt,name=HalfTrip,proto3" json:"HalfTrip,omitempty"`
	Hostname          *wrapperspb.StringValue `protobuf:"bytes,20,opt,name=Hostname,proto3" json:"Hostname,omitempty"`
	Serial            *wrapperspb.StringValue `protobuf:"bytes,21,opt,name=Serial,proto3" json:"Serial,omitempty"`
	Ssid              *wrapperspb.StringValue `protobuf:"bytes,22,opt,name=Ssid,proto3" json:"Ssid,omitempty"`
	RouterIP          *wrapperspb.BytesValue  `protobuf:"bytes,30,opt,name=RouterIP,proto3" json:"RouterIP,omitempty"`
	LANIP             *wrapperspb.BytesValue  `protobuf:"bytes,31,opt,name=LANIP,proto3" json:"LANIP,omitempty"`
}

func (x *HeartBeatT) Reset() {
	*x = HeartBeatT{}
	if protoimpl.UnsafeEnabled {
		mi := &file_hbproto_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HeartBeatT) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HeartBeatT) ProtoMessage() {}

func (x *HeartBeatT) ProtoReflect() protoreflect.Message {
	mi := &file_hbproto_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HeartBeatT.ProtoReflect.Descriptor instead.
func (*HeartBeatT) Descriptor() ([]byte, []int) {
	return file_hbproto_proto_rawDescGZIP(), []int{0}
}

func (x *HeartBeatT) GetTimestamp() *timestamppb.Timestamp {
	if x != nil {
		return x.Timestamp
	}
	return nil
}

func (x *HeartBeatT) GetSequence() *wrapperspb.UInt64Value {
	if x != nil {
		return x.Sequence
	}
	return nil
}

func (x *HeartBeatT) GetRecievedTimestamp() *timestamppb.Timestamp {
	if x != nil {
		return x.RecievedTimestamp
	}
	return nil
}

func (x *HeartBeatT) GetHalfTrip() *durationpb.Duration {
	if x != nil {
		return x.HalfTrip
	}
	return nil
}

func (x *HeartBeatT) GetHostname() *wrapperspb.StringValue {
	if x != nil {
		return x.Hostname
	}
	return nil
}

func (x *HeartBeatT) GetSerial() *wrapperspb.StringValue {
	if x != nil {
		return x.Serial
	}
	return nil
}

func (x *HeartBeatT) GetSsid() *wrapperspb.StringValue {
	if x != nil {
		return x.Ssid
	}
	return nil
}

func (x *HeartBeatT) GetRouterIP() *wrapperspb.BytesValue {
	if x != nil {
		return x.RouterIP
	}
	return nil
}

func (x *HeartBeatT) GetLANIP() *wrapperspb.BytesValue {
	if x != nil {
		return x.LANIP
	}
	return nil
}

// Don't use Google's Empty, because it's hard not to break backward compatibility if you do
// See also: https://github.com/grpc/grpc/issues/15937
// https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#google.protobuf.Empty
// import "google/protobuf/empty.proto";
type EmptyT struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *EmptyT) Reset() {
	*x = EmptyT{}
	if protoimpl.UnsafeEnabled {
		mi := &file_hbproto_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EmptyT) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EmptyT) ProtoMessage() {}

func (x *EmptyT) ProtoReflect() protoreflect.Message {
	mi := &file_hbproto_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EmptyT.ProtoReflect.Descriptor instead.
func (*EmptyT) Descriptor() ([]byte, []int) {
	return file_hbproto_proto_rawDescGZIP(), []int{1}
}

type PublicKeyT struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PublicKey []byte `protobuf:"bytes,10,opt,name=PublicKey,proto3" json:"PublicKey,omitempty"`
}

func (x *PublicKeyT) Reset() {
	*x = PublicKeyT{}
	if protoimpl.UnsafeEnabled {
		mi := &file_hbproto_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PublicKeyT) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PublicKeyT) ProtoMessage() {}

func (x *PublicKeyT) ProtoReflect() protoreflect.Message {
	mi := &file_hbproto_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PublicKeyT.ProtoReflect.Descriptor instead.
func (*PublicKeyT) Descriptor() ([]byte, []int) {
	return file_hbproto_proto_rawDescGZIP(), []int{2}
}

func (x *PublicKeyT) GetPublicKey() []byte {
	if x != nil {
		return x.PublicKey
	}
	return nil
}

type PulseFrequencyT struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Duration *durationpb.Duration `protobuf:"bytes,10,opt,name=Duration,proto3" json:"Duration,omitempty"`
}

func (x *PulseFrequencyT) Reset() {
	*x = PulseFrequencyT{}
	if protoimpl.UnsafeEnabled {
		mi := &file_hbproto_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PulseFrequencyT) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PulseFrequencyT) ProtoMessage() {}

func (x *PulseFrequencyT) ProtoReflect() protoreflect.Message {
	mi := &file_hbproto_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PulseFrequencyT.ProtoReflect.Descriptor instead.
func (*PulseFrequencyT) Descriptor() ([]byte, []int) {
	return file_hbproto_proto_rawDescGZIP(), []int{3}
}

func (x *PulseFrequencyT) GetDuration() *durationpb.Duration {
	if x != nil {
		return x.Duration
	}
	return nil
}

type ConfigFrequencyT struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Duration *durationpb.Duration `protobuf:"bytes,10,opt,name=Duration,proto3" json:"Duration,omitempty"`
}

func (x *ConfigFrequencyT) Reset() {
	*x = ConfigFrequencyT{}
	if protoimpl.UnsafeEnabled {
		mi := &file_hbproto_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ConfigFrequencyT) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConfigFrequencyT) ProtoMessage() {}

func (x *ConfigFrequencyT) ProtoReflect() protoreflect.Message {
	mi := &file_hbproto_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConfigFrequencyT.ProtoReflect.Descriptor instead.
func (*ConfigFrequencyT) Descriptor() ([]byte, []int) {
	return file_hbproto_proto_rawDescGZIP(), []int{4}
}

func (x *ConfigFrequencyT) GetDuration() *durationpb.Duration {
	if x != nil {
		return x.Duration
	}
	return nil
}

type ClientConfigT struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	PulseFrequency  *PulseFrequencyT  `protobuf:"bytes,10,opt,name=PulseFrequency,proto3" json:"PulseFrequency,omitempty"`
	ConfigFrequency *ConfigFrequencyT `protobuf:"bytes,20,opt,name=ConfigFrequency,proto3" json:"ConfigFrequency,omitempty"`
	PublicKey       *PublicKeyT       `protobuf:"bytes,30,opt,name=PublicKey,proto3" json:"PublicKey,omitempty"`
}

func (x *ClientConfigT) Reset() {
	*x = ClientConfigT{}
	if protoimpl.UnsafeEnabled {
		mi := &file_hbproto_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ClientConfigT) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ClientConfigT) ProtoMessage() {}

func (x *ClientConfigT) ProtoReflect() protoreflect.Message {
	mi := &file_hbproto_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ClientConfigT.ProtoReflect.Descriptor instead.
func (*ClientConfigT) Descriptor() ([]byte, []int) {
	return file_hbproto_proto_rawDescGZIP(), []int{5}
}

func (x *ClientConfigT) GetPulseFrequency() *PulseFrequencyT {
	if x != nil {
		return x.PulseFrequency
	}
	return nil
}

func (x *ClientConfigT) GetConfigFrequency() *ConfigFrequencyT {
	if x != nil {
		return x.ConfigFrequency
	}
	return nil
}

func (x *ClientConfigT) GetPublicKey() *PublicKeyT {
	if x != nil {
		return x.PublicKey
	}
	return nil
}

var File_hbproto_proto protoreflect.FileDescriptor

var file_hbproto_proto_rawDesc = []byte{
	0x0a, 0x0d, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x07, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x64, 0x75, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x77, 0x72, 0x61, 0x70, 0x70,
	0x65, 0x72, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x8f, 0x04, 0x0a, 0x0a, 0x48, 0x65,
	0x61, 0x72, 0x74, 0x42, 0x65, 0x61, 0x74, 0x54, 0x12, 0x38, 0x0a, 0x09, 0x54, 0x69, 0x6d, 0x65,
	0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69,
	0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x6d, 0x70, 0x12, 0x38, 0x0a, 0x08, 0x53, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x0a,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x55, 0x49, 0x6e, 0x74, 0x36, 0x34, 0x56, 0x61, 0x6c,
	0x75, 0x65, 0x52, 0x08, 0x53, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x48, 0x0a, 0x11,
	0x52, 0x65, 0x63, 0x69, 0x65, 0x76, 0x65, 0x64, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x52, 0x11, 0x52, 0x65, 0x63, 0x69, 0x65, 0x76, 0x65, 0x64, 0x54, 0x69, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x12, 0x35, 0x0a, 0x08, 0x48, 0x61, 0x6c, 0x66, 0x54, 0x72,
	0x69, 0x70, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74,
	0x69, 0x6f, 0x6e, 0x52, 0x08, 0x48, 0x61, 0x6c, 0x66, 0x54, 0x72, 0x69, 0x70, 0x12, 0x38, 0x0a,
	0x08, 0x48, 0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x14, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75,
	0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x08, 0x48,
	0x6f, 0x73, 0x74, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x34, 0x0a, 0x06, 0x53, 0x65, 0x72, 0x69, 0x61,
	0x6c, 0x18, 0x15, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74, 0x72, 0x69, 0x6e, 0x67,
	0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x06, 0x53, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x12, 0x30, 0x0a,
	0x04, 0x53, 0x73, 0x69, 0x64, 0x18, 0x16, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1c, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x53, 0x74,
	0x72, 0x69, 0x6e, 0x67, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x04, 0x53, 0x73, 0x69, 0x64, 0x12,
	0x37, 0x0a, 0x08, 0x52, 0x6f, 0x75, 0x74, 0x65, 0x72, 0x49, 0x50, 0x18, 0x1e, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x42, 0x79, 0x74, 0x65, 0x73, 0x56, 0x61, 0x6c, 0x75, 0x65, 0x52, 0x08,
	0x52, 0x6f, 0x75, 0x74, 0x65, 0x72, 0x49, 0x50, 0x12, 0x31, 0x0a, 0x05, 0x4c, 0x41, 0x4e, 0x49,
	0x50, 0x18, 0x1f, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x42, 0x79, 0x74, 0x65, 0x73, 0x56,
	0x61, 0x6c, 0x75, 0x65, 0x52, 0x05, 0x4c, 0x41, 0x4e, 0x49, 0x50, 0x22, 0x08, 0x0a, 0x06, 0x45,
	0x6d, 0x70, 0x74, 0x79, 0x54, 0x22, 0x2a, 0x0a, 0x0a, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x4b,
	0x65, 0x79, 0x54, 0x12, 0x1c, 0x0a, 0x09, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x4b, 0x65, 0x79,
	0x18, 0x0a, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x09, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x4b, 0x65,
	0x79, 0x22, 0x48, 0x0a, 0x0f, 0x50, 0x75, 0x6c, 0x73, 0x65, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65,
	0x6e, 0x63, 0x79, 0x54, 0x12, 0x35, 0x0a, 0x08, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f,
	0x6e, 0x52, 0x08, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0x49, 0x0a, 0x10, 0x43,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x79, 0x54, 0x12,
	0x35, 0x0a, 0x08, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x0a, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x19, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x62, 0x75, 0x66, 0x2e, 0x44, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x08, 0x44, 0x75,
	0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x22, 0xc9, 0x01, 0x0a, 0x0d, 0x43, 0x6c, 0x69, 0x65, 0x6e,
	0x74, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x54, 0x12, 0x40, 0x0a, 0x0e, 0x50, 0x75, 0x6c, 0x73,
	0x65, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x79, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x18, 0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x50, 0x75, 0x6c, 0x73, 0x65,
	0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x79, 0x54, 0x52, 0x0e, 0x50, 0x75, 0x6c, 0x73,
	0x65, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x79, 0x12, 0x43, 0x0a, 0x0f, 0x43, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x79, 0x18, 0x14, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6f,
	0x6e, 0x66, 0x69, 0x67, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x79, 0x54, 0x52, 0x0f,
	0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x79, 0x12,
	0x31, 0x0a, 0x09, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x4b, 0x65, 0x79, 0x18, 0x1e, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x13, 0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x50, 0x75, 0x62,
	0x6c, 0x69, 0x63, 0x4b, 0x65, 0x79, 0x54, 0x52, 0x09, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x4b,
	0x65, 0x79, 0x32, 0xb8, 0x02, 0x0a, 0x09, 0x48, 0x65, 0x61, 0x72, 0x74, 0x42, 0x65, 0x61, 0x74,
	0x12, 0x2f, 0x0a, 0x05, 0x50, 0x75, 0x6c, 0x73, 0x65, 0x12, 0x13, 0x2e, 0x68, 0x62, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x2e, 0x48, 0x65, 0x61, 0x72, 0x74, 0x42, 0x65, 0x61, 0x74, 0x54, 0x1a, 0x0f,
	0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x54, 0x22,
	0x00, 0x12, 0x36, 0x0a, 0x0c, 0x47, 0x65, 0x74, 0x50, 0x75, 0x62, 0x6c, 0x69, 0x63, 0x4b, 0x65,
	0x79, 0x12, 0x0f, 0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x45, 0x6d, 0x70, 0x74,
	0x79, 0x54, 0x1a, 0x13, 0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x50, 0x75, 0x62,
	0x6c, 0x69, 0x63, 0x4b, 0x65, 0x79, 0x54, 0x22, 0x00, 0x12, 0x40, 0x0a, 0x11, 0x47, 0x65, 0x74,
	0x50, 0x75, 0x6c, 0x73, 0x65, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x79, 0x12, 0x0f,
	0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x54, 0x1a,
	0x18, 0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x50, 0x75, 0x6c, 0x73, 0x65, 0x46,
	0x72, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x79, 0x54, 0x22, 0x00, 0x12, 0x42, 0x0a, 0x12, 0x47,
	0x65, 0x74, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63,
	0x79, 0x12, 0x0f, 0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x45, 0x6d, 0x70, 0x74,
	0x79, 0x54, 0x1a, 0x19, 0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x46, 0x72, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63, 0x79, 0x54, 0x22, 0x00, 0x12,
	0x3c, 0x0a, 0x0f, 0x47, 0x65, 0x74, 0x43, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x66,
	0x69, 0x67, 0x12, 0x0f, 0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x45, 0x6d, 0x70,
	0x74, 0x79, 0x54, 0x1a, 0x16, 0x2e, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2e, 0x43, 0x6c,
	0x69, 0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x54, 0x22, 0x00, 0x42, 0x2a, 0x5a,
	0x28, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x64, 0x61, 0x76, 0x65,
	0x2e, 0x73, 0x65, 0x64, 0x64, 0x6f, 0x6e, 0x2f, 0x68, 0x65, 0x61, 0x72, 0x74, 0x62, 0x65, 0x61,
	0x74, 0x2f, 0x68, 0x62, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_hbproto_proto_rawDescOnce sync.Once
	file_hbproto_proto_rawDescData = file_hbproto_proto_rawDesc
)

func file_hbproto_proto_rawDescGZIP() []byte {
	file_hbproto_proto_rawDescOnce.Do(func() {
		file_hbproto_proto_rawDescData = protoimpl.X.CompressGZIP(file_hbproto_proto_rawDescData)
	})
	return file_hbproto_proto_rawDescData
}

var file_hbproto_proto_msgTypes = make([]protoimpl.MessageInfo, 6)
var file_hbproto_proto_goTypes = []interface{}{
	(*HeartBeatT)(nil),             // 0: hbproto.HeartBeatT
	(*EmptyT)(nil),                 // 1: hbproto.EmptyT
	(*PublicKeyT)(nil),             // 2: hbproto.PublicKeyT
	(*PulseFrequencyT)(nil),        // 3: hbproto.PulseFrequencyT
	(*ConfigFrequencyT)(nil),       // 4: hbproto.ConfigFrequencyT
	(*ClientConfigT)(nil),          // 5: hbproto.ClientConfigT
	(*timestamppb.Timestamp)(nil),  // 6: google.protobuf.Timestamp
	(*wrapperspb.UInt64Value)(nil), // 7: google.protobuf.UInt64Value
	(*durationpb.Duration)(nil),    // 8: google.protobuf.Duration
	(*wrapperspb.StringValue)(nil), // 9: google.protobuf.StringValue
	(*wrapperspb.BytesValue)(nil),  // 10: google.protobuf.BytesValue
}
var file_hbproto_proto_depIdxs = []int32{
	6,  // 0: hbproto.HeartBeatT.Timestamp:type_name -> google.protobuf.Timestamp
	7,  // 1: hbproto.HeartBeatT.Sequence:type_name -> google.protobuf.UInt64Value
	6,  // 2: hbproto.HeartBeatT.RecievedTimestamp:type_name -> google.protobuf.Timestamp
	8,  // 3: hbproto.HeartBeatT.HalfTrip:type_name -> google.protobuf.Duration
	9,  // 4: hbproto.HeartBeatT.Hostname:type_name -> google.protobuf.StringValue
	9,  // 5: hbproto.HeartBeatT.Serial:type_name -> google.protobuf.StringValue
	9,  // 6: hbproto.HeartBeatT.Ssid:type_name -> google.protobuf.StringValue
	10, // 7: hbproto.HeartBeatT.RouterIP:type_name -> google.protobuf.BytesValue
	10, // 8: hbproto.HeartBeatT.LANIP:type_name -> google.protobuf.BytesValue
	8,  // 9: hbproto.PulseFrequencyT.Duration:type_name -> google.protobuf.Duration
	8,  // 10: hbproto.ConfigFrequencyT.Duration:type_name -> google.protobuf.Duration
	3,  // 11: hbproto.ClientConfigT.PulseFrequency:type_name -> hbproto.PulseFrequencyT
	4,  // 12: hbproto.ClientConfigT.ConfigFrequency:type_name -> hbproto.ConfigFrequencyT
	2,  // 13: hbproto.ClientConfigT.PublicKey:type_name -> hbproto.PublicKeyT
	0,  // 14: hbproto.HeartBeat.Pulse:input_type -> hbproto.HeartBeatT
	1,  // 15: hbproto.HeartBeat.GetPublicKey:input_type -> hbproto.EmptyT
	1,  // 16: hbproto.HeartBeat.GetPulseFrequency:input_type -> hbproto.EmptyT
	1,  // 17: hbproto.HeartBeat.GetConfigFrequency:input_type -> hbproto.EmptyT
	1,  // 18: hbproto.HeartBeat.GetClientConfig:input_type -> hbproto.EmptyT
	1,  // 19: hbproto.HeartBeat.Pulse:output_type -> hbproto.EmptyT
	2,  // 20: hbproto.HeartBeat.GetPublicKey:output_type -> hbproto.PublicKeyT
	3,  // 21: hbproto.HeartBeat.GetPulseFrequency:output_type -> hbproto.PulseFrequencyT
	4,  // 22: hbproto.HeartBeat.GetConfigFrequency:output_type -> hbproto.ConfigFrequencyT
	5,  // 23: hbproto.HeartBeat.GetClientConfig:output_type -> hbproto.ClientConfigT
	19, // [19:24] is the sub-list for method output_type
	14, // [14:19] is the sub-list for method input_type
	14, // [14:14] is the sub-list for extension type_name
	14, // [14:14] is the sub-list for extension extendee
	0,  // [0:14] is the sub-list for field type_name
}

func init() { file_hbproto_proto_init() }
func file_hbproto_proto_init() {
	if File_hbproto_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_hbproto_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*HeartBeatT); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_hbproto_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EmptyT); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_hbproto_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PublicKeyT); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_hbproto_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PulseFrequencyT); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_hbproto_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ConfigFrequencyT); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_hbproto_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ClientConfigT); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_hbproto_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   6,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_hbproto_proto_goTypes,
		DependencyIndexes: file_hbproto_proto_depIdxs,
		MessageInfos:      file_hbproto_proto_msgTypes,
	}.Build()
	File_hbproto_proto = out.File
	file_hbproto_proto_rawDesc = nil
	file_hbproto_proto_goTypes = nil
	file_hbproto_proto_depIdxs = nil
}
